Foreman fails when creating a role if default user has 2 or more filters with same permission
Difficulty:  Fixed in Releases:  
Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2861

  

Description

After https://github.com/theforeman/foreman/commit/1f5d2516f7acd537cf996aeb3f52e0bf9c17c2d7 we build a role with permissions

of default user. If default user has two or more filters with same permission (valid setup), the verification of found collection fails (

https://github.com/theforeman/foreman/blob/develop/app/models/role.rb#L135). We have to make the list unique.

Related issues:

Related to Foreman - Refactor #12147: move rails3 compatible changes from the... Closed 10/13/2015

Associated revisions

Revision ea04ccca - 12/14/2015 05:35 AM - Marek Hulán

Fixes #12278 - make sure permission set is uniq for role

If default user has two or more filters with same permission (valid

setup), the verification of found collection failed. This patch

make the list uniq and the check correctly verifies whether all

permissions were found.

History

#1 - 10/23/2015 08:08 AM - Marek Hulán

- Related to Refactor #12147: move rails3 compatible changes from the rails4 branch to develop added

#2 - 10/23/2015 08:20 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2861 added

- Pull request deleted ()

#3 - 12/14/2015 06:03 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ea04cccaf405f297206afba7e73dd3192a342563.
